#

CC = g++
#CC = icc
CFLAGS = -Wall -g\
-Weffc++ -Woverloaded-virtual -W -Wfloat-equal -Wshadow \
-Wredundant-decls -Winline
# -Wunreachable-code


PROG1 = main
SRC1 = main.cpp myvector.cpp myexceptions.cpp provocate.cpp
OBJ1 = $(SRC1:.cpp=.o)

default: $(PROG1)

# 	Abh�gigkeit des Executable von Objektfiles
$(PROG1): $(OBJ1)
	@echo "Linke aus  " $(OBJ1) "  das Programm  " $@
	$(CC) -o $@ $(OBJ1)

clean:
	@rm -f *.o a.out $(PROG1) $(PROG2)

#-------------------------------------------------------
.PRECIOUS: .cpp .hpp
.SUFFIXES: .cpp .o
#
#	Abh�gigkeit des Objektfiles vom Sourcefile
.cpp.o:
	@echo "Compiliere: " $<
	$(CC) -c $(CFLAGS)  $<


DOCDIR = docu
DOCINPUT = myvector.hpp myexceptions.hpp provocate.hpp


doc:
	-@rm -rf $(DOCDIR)
	kdoc -p -d $(DOCDIR) -f check $(DOCINPUT)
	kdoc -p -d $(DOCDIR) $(DOCINPUT)
#	kdoc -p -d tex -f latex $(DOCINPUT)cvs status
 
